dbXML API

## org.dbxml.tools
Class DeploymentTask

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.dbxml.tools.DeploymentTask

public class DeploymentTask
extends org.apache.tools.ant.Task

Handles basic deployment of dbXML services using ant.

Author:
  kstaken

Constructor Summary
`DeploymentTask()` Constructor for creating a new DeploymentTask.

Method Summary
`void` `execute()` Executes the task.
`void` `setActivity(java.lang.String name)` Sets the Activity attribute of the DeploymentTask object
`void` `setClass(java.lang.String name)` Sets the Implementation class attribute of the DeploymentTask object
`void` `setCollection(java.lang.String name)` Sets the Collection attribute of the DeploymentTask object
`void` `setDatabase(java.lang.String name)` Sets the Database attribute of the DeploymentTask object
`void` `setHome(java.lang.String name)` Sets the Home attribute of the DeploymentTask object
`void` `setName(java.lang.String name)` Sets the Name to use for the document or XMLObject.
`void` `setPath(java.lang.String name)` Sets the Path attribute of the DeploymentTask object

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setTaskName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentTask

    public DeploymentTask()

  Constructor for creating a new DeploymentTask.

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the Name to use for the document or XMLObject. This method always sets both documentName and Name on the admin object
  Parameters:
    `name` - The new Name value

### setHome

    public void setHome(java.lang.String name)

  Sets the Home attribute of the DeploymentTask object
  Parameters:
    `name` - The new Home value

### setPath

    public void setPath(java.lang.String name)

  Sets the Path attribute of the DeploymentTask object
  Parameters:
    `name` - The new Path value

### setCollection

    public void setCollection(java.lang.String name)

  Sets the Collection attribute of the DeploymentTask object
  Parameters:
    `name` - The new Collection value

### setDatabase

    public void setDatabase(java.lang.String name)

  Sets the Database attribute of the DeploymentTask object
  Parameters:
    `name` - The new Database value

### setActivity

    public void setActivity(java.lang.String name)

  Sets the Activity attribute of the DeploymentTask object
  Parameters:
    `name` - The new Activity value

### setClass

    public void setClass(java.lang.String name)

  Sets the Implementation class attribute of the DeploymentTask object
  Parameters:
    `name` - The new Activity value

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Executes the task.
  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException` - Description of Exception

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved